Skip to content
Download OpenAPI description
Languages
Servers
https://api.kanbert.com/api/v1
Operations
Operations
Operations
Operations
Operations
Webhooks
Operations
Webhooks
Operations
Operations
Webhooks
Operations
Operations
Operations
Operations

Request

Required scopes: chart-of-accounts:read

Security
http or oauth2
Query
sortstring

Available sorts are code, title, created_at.
You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title.

Example: sort=sort=-created_at,title
includestring

Available includes are positions. You can include multiple options by separating them with a comma.

page[size]integer

The number of results that will be returned per page.

Default 30
page[cursor]string

The cursor to start the pagination from.

filterstring

Allowed filter fields (with allowed operators):

FieldTypeOperators
codestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
titlestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
typeenum<CostCenterType>eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
prioritystringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull

Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.

You can check the full syntax at Docs Filtering section.

Special values:

  • me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id
  • now — current date-time. Example: dueOn lt now
  • sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow
  • som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom
  • today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today
  • today±Nd — relative day offset. Examples: today-30d, today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
curl -i -X GET \
  'https://api.kanbert.com/api/v1/chart-of-accounts?sort=sort%3D-created_at%2Ctitle&include=string&page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cursor paginated collection of ChartOfAccountData

Bodyapplication/json
dataArray of objects(ChartOfAccountData)required

The list of items

data[].​idstringrequired
data[].​typeCostCenterType (string) or nullrequired
Any of:
string(CostCenterType)
Enum"accounts""discount""supplier_discount"
data[].​codestring or nullrequired
data[].​titlestring or nullrequired
data[].​descriptionstring or nullrequired
data[].​prioritystring or nullrequired
data[].​budgetsobject or nullrequired
data[].​budgets.​property name*numberadditional property
data[].​start_datestring or null(date-time)required
data[].​end_datestring or null(date-time)required
data[].​created_atstring(date-time)required
data[].​updated_atstring or null(date-time)required
data[].​positionsArray of PositionData (objects) or object
Any of:
linksArray of stringsrequired
metaobjectrequired
meta.​pathstring or nullrequired

Base path for paginator generated URLs.

meta.​per_pageintegerrequired

Number of items shown per page.

meta.​next_cursorstring or nullrequired
meta.​next_cursor_urlstring or nullrequired
meta.​prev_cursorstring or nullrequired
meta.​prev_cursor_urlstring or nullrequired
Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }

Request

Required scopes: chart-of-accounts:read

Security
http or oauth2
Query
sortstring

Available sorts are value, title, type, created_at.
You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title.

Example: sort=sort=-created_at,title
page[size]integer

The number of results that will be returned per page.

Default 30
page[cursor]string

The cursor to start the pagination from.

filterstring

Allowed filter fields (with allowed operators):

FieldTypeOperators
typestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
titlestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
chart_of_account.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
chart_of_account.code——
chart_of_account.title——
chart_of_account.typeenum<CostCenterType>eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
position.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
position.title——
incoming_invoice.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
outgoing_invoice.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
client.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
project.idideq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
created_atdateeq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull

Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.

You can check the full syntax at Docs Filtering section.

Special values:

  • me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id
  • now — current date-time. Example: dueOn lt now
  • sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow
  • som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom
  • today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today
  • today±Nd — relative day offset. Examples: today-30d, today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
curl -i -X GET \
  'https://api.kanbert.com/api/v1/chart-of-accounts/bookings?sort=sort%3D-created_at%2Ctitle&page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cursor paginated collection of ChartOfAccountsBookingData

Bodyapplication/json
dataArray of objects(ChartOfAccountsBookingData)required

The list of items

data[].​idstringrequired
data[].​typestringrequired
data[].​titlestring or nullrequired
data[].​valuenumberrequired
data[].​clientClientData (object) or nullrequired
Any of:
data[].​client.​idstringrequired
data[].​client.​external_idstring or nullrequired

Can be used to add an identifier to the client from an external system, must be unique

data[].​client.​external_originstring or nullrequired

If originated from external system origin is added

data[].​client.​namestringrequired
data[].​client.​shortcodestring or nullrequired
data[].​client.​primary_contactUserData (object) or nullrequired
Any of:
data[].​client.​primary_contact.​idstringrequired
data[].​client.​primary_contact.​first_namestringrequired
data[].​client.​primary_contact.​last_namestringrequired
data[].​client.​primary_contact.​emailstringrequired
data[].​client.​primary_contact.​typestring(UserType)required
Enum"user""guest""tax_advisor""integration"
data[].​client.​primary_contact.​spaceobject(SpaceData)required
data[].​client.​primary_contact.​space.​idstringrequired
data[].​client.​primary_contact.​space.​namestringrequired
data[].​client.​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the client is shared from, if null client is not shared

data[].​client.​origin_space.​idstringrequired
data[].​client.​origin_space.​namestringrequired
data[].​projectProjectData (object) or nullrequired
Any of:
data[].​project.​idstringrequired
data[].​project.​external_idstring or nullrequired

Can be used to add an identifier to the project from an external system, must be unique

data[].​project.​external_originstring or nullrequired

If originated from external system origin is added

data[].​project.​titlestringrequired
data[].​project.​descriptionstring or nullrequired
data[].​project.​shortcodestringrequired
data[].​project.​po_numberstring or nullrequired
data[].​project.​project_typeProjectTypeData (object) or nullrequired
Any of:
data[].​project.​project_type.​idstringrequired
data[].​project.​project_type.​titlestringrequired
data[].​project.​project_type.​shortcodestringrequired
data[].​project.​project_type.​colorstringrequired
data[].​project.​project_type.​orderintegerrequired
data[].​project.​project_type.​is_defaultbooleanrequired
data[].​project.​project_groupProjectGroupData (object) or nullrequired
Any of:
data[].​project.​project_group.​idstringrequired
data[].​project.​project_group.​titlestringrequired
data[].​project.​statusstringrequired
data[].​project.​is_acquisitionbooleanrequired
data[].​project.​is_privatebooleanrequired
data[].​project.​start_datestring or null(date)required
data[].​project.​end_datestring or null(date)required
data[].​project.​clientobject(ClientData)required
data[].​project.​client.​idstringrequired
data[].​project.​client.​external_idstring or nullrequired

Can be used to add an identifier to the client from an external system, must be unique

data[].​project.​client.​external_originstring or nullrequired

If originated from external system origin is added

data[].​project.​client.​namestringrequired
data[].​project.​client.​shortcodestring or nullrequired
data[].​project.​client.​primary_contactUserData (object) or nullrequired
Any of:
data[].​project.​client.​primary_contact.​idstringrequired
data[].​project.​client.​primary_contact.​first_namestringrequired
data[].​project.​client.​primary_contact.​last_namestringrequired
data[].​project.​client.​primary_contact.​emailstringrequired
data[].​project.​client.​primary_contact.​typestring(UserType)required
Enum"user""guest""tax_advisor""integration"
data[].​project.​client.​primary_contact.​spaceobject(SpaceData)required
data[].​project.​client.​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the client is shared from, if null client is not shared

data[].​project.​client.​origin_space.​idstringrequired
data[].​project.​client.​origin_space.​namestringrequired
data[].​project.​tagsArray of objects(ProjectTagData)
data[].​project.​portfoliosArray of objects(ProjectPortfolioData)
data[].​project.​custom_fieldsobjectrequired

The key is the field name for your custom field, value type depends on the field type

data[].​project.​custom_fields.​property name*string or boolean or integer or nulladditional property
Any of:
string
data[].​project.​origin_spaceSpaceData (object) or nullrequired
Any of:

Shared space which the project is shared from, if null project is not shared

data[].​project.​origin_space.​idstringrequired
data[].​project.​origin_space.​namestringrequired
data[].​project.​teamArray of objects(TeamMemberData)

Project team

data[].​project.​guestsArray of objects(TeamMemberData)

Project guests

data[].​project.​computed_fieldsobject
data[].​chart_of_accountChartOfAccountData (object) or object or nullrequired
Any of:
data[].​chart_of_account.​idstringrequired
data[].​chart_of_account.​typeCostCenterType (string) or nullrequired
Any of:
string(CostCenterType)
Enum"accounts""discount""supplier_discount"
data[].​chart_of_account.​codestring or nullrequired
data[].​chart_of_account.​titlestring or nullrequired
data[].​chart_of_account.​descriptionstring or nullrequired
data[].​chart_of_account.​prioritystring or nullrequired
data[].​chart_of_account.​budgetsobject or nullrequired
data[].​chart_of_account.​budgets.​property name*numberadditional property
data[].​chart_of_account.​start_datestring or null(date-time)required
data[].​chart_of_account.​end_datestring or null(date-time)required
data[].​chart_of_account.​created_atstring(date-time)required
data[].​chart_of_account.​updated_atstring or null(date-time)required
data[].​chart_of_account.​positionsArray of PositionData (objects) or object
Any of:
data[].​positionPositionData (object) or object or nullrequired
Any of:
data[].​position.​idstringrequired
data[].​position.​titlestring or nullrequired
data[].​position.​planobject or nullrequired
data[].​position.​plan.​property name*numberadditional property
data[].​position.​start_datestring or null(date-time)required
data[].​position.​end_datestring or null(date-time)required
data[].​position.​created_atstring(date-time)required
data[].​position.​updated_atstring or null(date-time)required
data[].​incoming_invoiceChartOfAccountsBookingDocumentData (object) or object or null
Any of:
data[].​outgoing_invoiceOutgoingInvoiceReferenceData (object) or nullrequired
Any of:
data[].​outgoing_invoice.​idstringrequired
data[].​outgoing_invoice.​invoice_numberstring or nullrequired
data[].​outgoing_invoice.​titlestringrequired
data[].​outgoing_invoice.​is_creditbooleanrequired
data[].​created_atstring(date-time)required
data[].​updated_atstring or null(date-time)required
linksArray of stringsrequired
metaobjectrequired
meta.​pathstring or nullrequired

Base path for paginator generated URLs.

meta.​per_pageintegerrequired

Number of items shown per page.

meta.​next_cursorstring or nullrequired
meta.​next_cursor_urlstring or nullrequired
meta.​prev_cursorstring or nullrequired
meta.​prev_cursor_urlstring or nullrequired
Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }

Retrieve a single chart of account

Request

Required scopes: chart-of-accounts:read

Security
http or oauth2
Path
idstringrequired
curl -i -X GET \
  'https://api.kanbert.com/api/v1/chart-of-accounts/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

ChartOfAccountData

Bodyapplication/json
idstringrequired
typeCostCenterType (string) or nullrequired
Any of:
string(CostCenterType)
Enum"accounts""discount""supplier_discount"
codestring or nullrequired
titlestring or nullrequired
descriptionstring or nullrequired
prioritystring or nullrequired
budgetsobject or nullrequired
budgets.​property name*numberadditional property
start_datestring or null(date-time)required
end_datestring or null(date-time)required
created_atstring(date-time)required
updated_atstring or null(date-time)required
positionsArray of PositionData (objects) or object
Any of:
Response
application/json
{ "id": "string", "type": "accounts", "code": "string", "title": "string", "description": "string", "priority": "string", "budgets": { "property1": 0, "property2": 0 }, "start_date": "2019-08-24T14:15:22Z", "end_date": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "positions": [ { … } ] }
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Schemas